#ifndef __APP_GPIO_H__
#define __APP_GPIO_H__
#include <stdbool.h>
#include "drv/gpio.h"
#include "soc.h" 


void app_gpio_init(void);

void gpio0_set(csi_gpio_pin_state_t value);
void gpio1_set(csi_gpio_pin_state_t value);
void gpio2_set(csi_gpio_pin_state_t value);
void gpio3_set(csi_gpio_pin_state_t value);
void gpio_pa_set(csi_gpio_pin_state_t value);
void gpio0_toggle(void);
void gpio1_toggle(void);
void gpio2_toggle(void);
void gpio3_toggle(void);
#endif
